/*
 *	Copyright (C) 2020 3D Repo Ltd
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Affero General Public License as
 *	published by the Free Software Foundation, either version 3 of the
 *	License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Affero General Public License for more details.
 *
 *	You should have received a copy of the GNU Affero General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "Repo3d.h"
#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "SampleRepoSupermeshActor.generated.h"

UCLASS()
class REPOUNREAL_API ASampleRepoSupermeshActor : public ARepoSupermeshActor
{
	GENERATED_BODY()

public:
	UPROPERTY(VisibleAnywhere, Category = "3DRepo Customer Supermeshing Data")
	URepoSupermeshMapComponent* HighlightMap;

	// Sets default values for this actor's properties
	ASampleRepoSupermeshActor();

	// The plugin can load a number of models under a single Actor. The properties below are set by the sample code, and describe
	// the top level container: this container owns things like issues, risks and viewpoints. 
	// It may be a model itself, or a federation.

	UPROPERTY(VisibleAnywhere, Category = "3DRepo Model Data")
	FString Teamspace;

	UPROPERTY(VisibleAnywhere, Category = "3DRepo Model Data")
	FString Model;

	UPROPERTY(VisibleAnywhere, Category = "3DRepo Model Data")
	FString Revision;

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:	
	// Called every frame
	virtual void Tick(float DeltaTime) override;

};
